- code: 400
  enum: N/A
  content: 用户id 不存在
  solution: |-
    **排查建议**：

- code: 404
  enum: N/A
  content: 服务器找不到请求的地址（HTTP 状态码 404）
  solution: |-
    **排查建议**：

- code: 1000
  enum: N/A
  content: 请求参数错误。内部逻辑错误。包名个数已超限。params is empty
  solution: |-
    **排查建议**：

- code: 1001
  enum: N/A
  content: App Key 与 App Secret 不匹配
  solution: |-
    **排查建议**：

- code: 1002
  enum: N/A
  content: 参数错误，详细的描述信息会说明
  solution: |-
    **排查建议**：

- code: 1003
  enum: N/A
  content: 聊天室id 不能为空, 或者minute 参数不合法
  solution: |-
    **排查建议**：

- code: 1005
  enum: N/A
  content: 参数长度超限，详细的描述信息会说明
  solution: |-
    **排查建议**：

- code: 1006
  enum: N/A
  content: 此 App 已下线，无法发起请求
  solution: |-
    **排查建议**：

- code: 1007
  enum: N/A
  content: Ip 限制，访问被禁止
  solution: |-
    **排查建议**：

- code: 1008
  enum: N/A
  content: 接口调用超过频率限制，请稍后再发起请求
  solution: |-
    **排查建议**：

- code: 1009
  enum: N/A
  content: 未开通该服务，请到开发者管理后台开通或提交工单申请
  solution: |-
    **排查建议**：

- code: 1010
  enum: N/A
  content: 未开启白名单功能，无法操作白名单
  solution: |-
    **排查建议**：

- code: 1011
  enum: N/A
  content: 未开启黑名单功能，无法操作黑名单
  solution: |-
    **排查建议**：

- code: 1015
  enum: N/A
  content: 删除的数据不存在	
  solution: |-
    **排查建议**：

- code: 1016
  enum: N/A
  content: 设置的保活聊天室个数超限
  solution: |-
    **排查建议**：

- code: 1018
  enum: N/A
  content: 实时音视频服务未开启	
  solution: |-
    **排查建议**：

- code: 1050
  enum: N/A
  content: 内部服务超时	
  solution: |-
    **排查建议**：

- code: 2007
  enum: N/A
  content: 注册用户数量超限	
  solution: |-
    **排查建议**：

- code: 20106
  enum: RESP_CODE_FB_PERSON
  content: 在单聊中已被禁言
  solution: |-
    **排查建议**：

- code: 20107
  enum: N/A
  content: 单聊黑名单人数超限	
  solution: |-
    **排查建议**：

- code: 20108
  enum: N/A
  content: 单聊白名单人数超限	
  solution: |-
    **排查建议**：

- code: 20109
  enum: illegalObjectName
  content: 系统会话不支持发送该消息
  solution: |-
    **排查建议**：


- code: 20604
  enum: N/A
  content: 发送消息频率过高，1 秒钟最多只允许发送 5 条消息
  solution: |-
    **排查建议**：

- code: 20605
  enum: N/A
  content: 操作被禁止，此错误码已被弃用
  solution: |-
    **排查建议**：

- code: 20606
  enum: N/A
  content: 操作不支持，仅私有云有效，服务端禁用了该操作
  solution: |-
    **排查建议**：

- code: 20607
  enum: N/A
  content: 请求超出了调用频率限制，请稍后再试
  solution: |-
    **排查建议**：


- code: 21501
  enum: N/A
  content: 发送的消息中包含敏感词 （发送方发送失败，接收方不会收到消息）
  solution: |-
    **排查建议**：

- code: 21502
  enum: N/A
  content: 消息中敏感词已经被替换 （接收方可以收到被替换之后的消息）
  solution: |-
    **排查建议**：

- code: 22201
  enum: N/A
  content: 超级群扩展消息，但是原始消息不存在。
  solution: |-
    **排查建议**：

- code: 22202
  enum: N/A
  content: 超级群扩展消息，但是原始消息不支持扩展
  solution: |-
    **排查建议**：

- code: 22203
  enum: N/A
  content: 超级群扩展消息，扩展内容格式错误
  solution: |-
    **排查建议**：

- code: 22204
  enum: N/A
  content: 超级群扩展消息，无操作权限
  solution: |-
    **排查建议**：

- code: 22406
  enum: N/A
  content: 不在该群组中
  solution: |-
    **排查建议**：

- code: 22408
  enum: N/A
  content: 在群组中已被禁言。
  solution: |-
    **排查建议**：

- code: 23406
  enum: N/A
  content: 不在该聊天室中。
  solution: |-
    **排查建议**：

- code: 23407
  enum: N/A
  content: 聊天室禁言白名单人数超限(最多5个)。创建聊天室时,禁言白名单用户列表，支持批量设置，最多不超过 20 个
  solution: |-
    **排查建议**：

- code: 23408
  enum: N/A
  content: 在该聊天室中已被禁言
  solution: |-
    **排查建议**：

- code: 23409
  enum: N/A
  content: 已被踢出并禁止加入聊天室。被禁止的时间取决于服务端调用踢出接口时传入的时间。
  solution: |-
    **排查建议**：

- code: 23410
  enum: N/A
  content: 聊天室不存在
  solution: |-
    **排查建议**：

- code: 23411
  enum: N/A
  content: 聊天室成员超限，开发者可以提交工单申请聊天室人数限制变更。
  solution: |-
    **排查建议**：

- code: 23412
  enum: N/A
  content: 聊天室接口参数无效。请确认参数是否为空或者有效。
  solution: |-
    **排查建议**：

- code: 23413
  enum: N/A
  content: 查询聊天室历史消息异常
  solution: |-
    **排查建议**：

- code: 23414
  enum: N/A
  content: 聊天室云存储业务未开通
  solution: |-
    **排查建议**：

- code: 23423
  enum: N/A
  content: 聊天室的 KV 属性个数超限，单个聊天室默认上限为 100 个
  solution: |-
    **排查建议**：

- code: 23424
  enum: N/A
  content: 没有权限修改聊天室中已存在的属性值
  solution: |-
    **排查建议**：

- code: 23425
  enum: N/A
  content: 超过聊天室中状态设置频率，1 个聊天室 1 秒钟最多设置和删除状态 100 次
  solution: |-
    **排查建议**：

- code: 23426
  enum: N/A
  content: 聊天室属性自定义设置，您可以在开发者后台免费基础功能页面中开启该功能。
  solution: |-
    **排查建议**：

- code: 23427
  enum: N/A
  content: 聊天室属性不存在
  solution: |-
    **排查建议**：

- code: 23428
  enum: N/A
  content: 聊天室批量设置或删除KV部分不成功
  solution: |-
    **排查建议**：

- code: 23429
  enum: N/A
  content: 聊天室批量设置或删除KV数量超限（最多一次10条）
  solution: |-
    **排查建议**：

- code: 23431
  enum: N/A
  content: 聊天室设置 KV 失败，出现在两人或者多端同时操作一个 KV。 如果出现该错误，为避免和其他端同时操作，请延时一定时间再试
  solution: |-
    **排查建议**：

- code: 23437
  enum: N/A
  content: 加入聊天室附加信息长度超限，默认最大长度为 128 个字符，服务可配置
  solution: |-
    **排查建议**：

- code: 24001
  enum: HAVNODEVICEID
  content: 没有注册DeviveId 也就是用户没有登陆
  solution: |-
    **排查建议**：

- code: 24002
  enum: DEVICEIDISHAVE
  content: device Id 已经存在
  solution: |-
    **排查建议**：

- code: 24009
  enum: FEILD
  content: 没有对应的用户或 token
  solution: |-
    **排查建议**：


- code: 24015
  enum: INTERNALERRROR
  content: 服务器内部错误
  solution: |-
    **排查建议**：

- code: 24353
  enum: N/A
  content: 重复注销	
  solution: |-
    **排查建议**：

- code: 24354
  enum: N/A
  content: 重复激活	
  solution: |-
    **排查建议**：

- code: 24356
  enum: N/A
  content: 用户注销中	
  solution: |-
    **排查建议**：

- code: 24360
  enum: N/A
  content: 没有设置该用户托管属性的权限
  solution: |-
    **排查建议**：

- code: 24361
  enum: N/A
  content: 用户托管基本属性的key列表中没有此key
  solution: |-
    **排查建议**：

- code: 24362
  enum: N/A
  content: 用户托管扩展属性的 key 列表中没有此 key
  solution: |-
    **排查建议**：

- code: 24363
  enum: N/A
  content: 超过了可以设置的用户托管扩展属性的最大上限
  solution: |-
    **排查建议**：

- code: 24364
  enum: N/A
  content: 用户托管基本属性或扩展属性的Value，字符超过最大上限
  solution: |-
    **排查建议**：

- code: 24365
  enum: N/A
  content: 批量查询用户托管资料的数量超过了可以查询的上限 100 个
  solution: |-
    **排查建议**：

- code: 24366
  enum: N/A
  content: 没有此用户
  solution: |-
    **排查建议**：

- code: 24367
  enum: N/A
  content: 用户托管此属性Value只能是数字
  solution: |-
    **排查建议**：

- code: 24368
  enum: N/A
  content: 用户托管此属性 Value 值超过设置取值范围
  solution: |-
    **排查建议**：

- code: 24369
  enum: N/A
  content: 未开启用户信息托管功能
  solution: |-
    **排查建议**：

- code: 24401
  enum: N/A
  content: 超级群功能未开通
  solution: |-
    **排查建议**：

- code: 24402
  enum: N/A
  content: 超级群服务异常
  solution: |-
    **排查建议**：

- code: 24403
  enum: N/A
  content: 超级群参数错误
  solution: |-
    **排查建议**：

- code: 24404
  enum: N/A
  content: 超级群未知异常
  solution: |-
    **排查建议**：

- code: 24406
  enum: N/A
  content: 非超级群成员
  solution: |-
    **排查建议**：

- code: 24408
  enum: N/A
  content: 超级群成员禁言
  solution: |-
    **排查建议**：

- code: 24410
  enum: N/A
  content: 超级群不存在
  solution: |-
    **排查建议**：

- code: 24411
  enum: N/A
  content: 超级群成员超限制
  solution: |-
    **排查建议**：

- code: 24412
  enum: N/A
  content: 用户加入超级群数量超限
  solution: |-
    **排查建议**：

- code: 24413
  enum: N/A
  content: 创建超级群频道，频道数超限
  solution: |-
    **排查建议**：

- code: 24414
  enum: N/A
  content: 超级群频道 ID 不存在
  solution: |-
    **排查建议**：

- code: 24415
  enum: N/A
  content: 超级群频道发送消息超限：超级群下每个频道有消息发送频率限制，默认每秒 30 条 频道内每秒发送消息总量超过限制会收到该错误码，建议延时发送或重试发送
  solution: |-
    **排查建议**：

- code: 24416
  enum: N/A
  content: 用户不在超级群私有频道中
  solution: |-
    **排查建议**：

- code: 24418
  enum: N/A
  content: 用户组数量超出限制
  solution: |-
    **排查建议**：

- code: 24419
  enum: N/A
  content: 重复的用户组 ID
  solution: |-
    **排查建议**：

- code: 24420
  enum: N/A
  content: 用户组不存在
  solution: |-
    **排查建议**：

- code: 24421
  enum: N/A
  content: 用户组成员数量超出限制	
  solution: |-
    **排查建议**：

- code: 24422
  enum: N/A
  content: 频道绑定的用户组数量超出限制	
  solution: |-
    **排查建议**：

- code: 25101
  enum: N/A
  content: 撤回消息参数无效，请确认撤回消息参数是否正确的填写
  solution: |-
    **排查建议**：

- code: 25102
  enum: N/A
  content: 未开通单群聊云存储服务
  solution: |-
    **排查建议**：

- code: 25104
  enum: UNKNOW_ERROR_CODE
  content: 未知异常
  solution: |-
    **排查建议**：

- code: 25107
  enum: N/A
  content: IMLib 撤回消息可以撤回自己发送的消息和别人发送的消息，IM 服务有开关，控制只可以撤回自己发送的消息，当服务该开关打开时，撤回别人的消息会报这个错误。
  solution: |-
    **排查建议**：

- code: 25402
  enum: G_SERVER_ERROR
  content: 托管服务异常
  solution: |-
    **排查建议**：

- code: 25403
  enum: G_PARAM_ERROR
  content: 托管服务参数错误
  solution: |-
    **排查建议**：

- code: 25404
  enum: G_ILLEGAL_OPERATION
  content: 非法操作，非群主修改群权限相关，msg中返回传的对应的key
  solution: |-
    **排查建议**：

- code: 25405
  enum: G_AUTHORITY_ERROR
  content: 没有权限操作
  solution: |-
    **排查建议**：

- code: 25406
  enum: G_PARAMETER_LENGTH_EXCEEDED_LIMIT
  content: 参数异常，存在长度超限
  solution: |-
    **排查建议**：

- code: 25407
  enum: G_PARAMETER_FORMATTING_ERROR
  content: 参数异常，非法字符
  solution: |-
    **排查建议**：

- code: 25408
  enum: G_PARAMETER_NOT_NUMBER
  content: 参数值必须是数字
  solution: |-
    **排查建议**：

- code: 25409
  enum: G_ID_ALREADY_EXISTS
  content: 群组 ID 已存在
  solution: |-
    **排查建议**：

- code: 25410
  enum: G_ID_NOT_EXISTS
  content: 群 ID 不存在
  solution: |-
    **排查建议**：

- code: 25411
  enum: G_MEMBERS_EXCEED_LIMIT
  content: 群成员超限
  solution: |-
    **排查建议**：

- code: 25412
  enum: G_MEMBERS_ALREADY_IN_GROUP
  content: 群成员 ID 已在当前群组中
  solution: |-
    **排查建议**：

- code: 25413
  enum: G_NOT_ALLOWED_SDK
  content: 不允许通过 SDK 进行此操作
  solution: |-
    **排查建议**：

- code: 25414
  enum: G_NOT_ALLOWED_JOIN_GROUP
  content: 不允许任何人加入，无法加入群组
  solution: |-
    **排查建议**：

- code: 25415
  enum: G_PROFILE_KEY_NOT_EXIST
  content: 扩展信息 Key 值不存在
  solution: |-
    **排查建议**：

- code: 25416
  enum: G_QUERY_FREQUENCY_EXCEEDS_LIMIT
  content: 查询频率超限
  solution: |-
    **排查建议**：

- code: 25417
  enum: G_OWNER_NOT_SUPPORT
  content: 群主不能被踢出/退出群组
  solution: |-
    **排查建议**：

- code: 25418
  enum: G_USER_NOT_IN_GROUP
  content: 用户ID不在群组中
  solution: |-
    **排查建议**：

- code: 25419
  enum: G_MANAGERS_OR_FOLLOWERS_EXCEEDS_LIMIT
  content: 管理员/关注 人数超过上限
  solution: |-
    **排查建议**：

- code: 25420
  enum: N/A
  content: 用户 ID 不在当前群管理员
  solution: |-
    **排查建议**：

- code: 25421
  enum: N/A
  content: 无对应群 ID 和用户 ID 的邀请请求
  solution: |-
    **排查建议**：

- code: 25422
  enum: N/A
  content: 查询群信息个数超限
  solution: |-
    **排查建议**：

- code: 25423
  enum: N/A
  content: 群名称不能为空
  solution: |-
    **排查建议**：

- code: 25424
  enum: N/A
  content: 申请进群需要等待管理员审批
  solution: |-
    **排查建议**：

- code: 25425
  enum: N/A
  content: 群主不支持设置为管理员
  solution: |-
    **排查建议**：

- code: 25426
  enum: N/A
  content: 邀请人进群时没有权限
  solution: |-
    **排查建议**：

- code: 25427
  enum: N/A
  content: 邀请进群需要被邀请人同意
  solution: |-
    **排查建议**：

- code: 25428
  enum: N/A
  content: 管理员或群主处理请求时，别的管理员已处理
  solution: |-
    **排查建议**：

- code: 25429
  enum: N/A
  content: 老的群不支持调用托管接口，需要导入后才能调用
  solution: |-
    **排查建议**：

- code: 25430
  enum: N/A
  content: 群ID不合法，包含特殊字符
  solution: |-
    **排查建议**：

- code: 25432
  enum: N/A
  content: pagetoken解析失败
  solution: |-
    **排查建议**：

- code: 25460
  enum: N/A
  content: 已经互为好友，操作无效
  solution: |-
    **排查建议**：

- code: 25461
  enum: N/A
  content: 待对方同意后才能加为好友
  solution: |-
    **排查建议**：

- code: 25462
  enum: N/A
  content: 在目标用户黑名单中，不能添加好友
  solution: |-
    **排查建议**：

- code: 25463
  enum: N/A
  content: 不在目标用户白名单中，不能添加好友
  solution: |-
    **排查建议**：

- code: 25464
  enum: N/A
  content: 目标用户在当前用户黑名单中，不能添加好友
  solution: |-
    **排查建议**：

- code: 25465
  enum: N/A
  content: 不在当前用户白名单中，不能添加好友
  solution: |-
    **排查建议**：

- code: 25466
  enum: N/A
  content: 操作无效，该好友请求不存在或已经过期
  solution: |-
    **排查建议**：

- code: 25467
  enum: N/A
  content: 当前用户好友数超出上限
  solution: |-
    **排查建议**：

- code: 25468
  enum: N/A
  content: 目标用户好友数超出上限
  solution: |-
    **排查建议**：

- code: 25469
  enum: N/A
  content: 非好友关系，不能执行此操作
  solution: |-
    **排查建议**：

- code: 25470
  enum: N/A
  content: 好友自定义属性超出上限
  solution: |-
    **排查建议**：

- code: 25471
  enum: N/A
  content: 对方设置了不允许加为好友
  solution: |-
    **排查建议**：

- code: 25472
  enum: N/A
  content: 好友不存在
  solution: |-
    **排查建议**：

- code: 25473
  enum: N/A
  content: 不能添加自己为好友
  solution: |-
    **排查建议**：

- code: 26001
  enum: N/A
  content: 用户级设置服务  请求参数不合法
  solution: |-
    **排查建议**：

- code: 26002
  enum: N/A
  content: 表示客户端版本号低，需要同步版本号，可以提交工单申请打开用户级别配置开关
  solution: |-
    **排查建议**：

- code: 26003
  enum: USER_SUBS_ERROR
  content: 服务内部错误
  solution: |-
    **排查建议**：

- code: 26004
  enum: REQ_LIMIT_OUT
  content: 用户会话标签个数超限，最多支持添加 20 个标签
  solution: |-
    **排查建议**：

- code: 26005
  enum: NOT_OPEN_READ_V4
  content: 未开通v4已读回执
  solution: |-
    **排查建议**：

- code: 26006
  enum: NOT_OPEN_SESS_DRIVEN
  content: 未开通会话驱动
  solution: |-
    **排查建议**：

- code: 26007
  enum: MSGID_START_END_ERROR
  content: 消息 id 顺序错误
  solution: |-
    **排查建议**：

- code: 26008
  enum: MSGID_EXPIRE
  content: 上报时间不支持同步
  solution: |-
    **排查建议**：

- code: 26009
  enum: MSGID_ERROR
  content: 消息id不合法
  solution: |-
    **排查建议**：

- code: 26010
  enum: PARAM_ERROR
  content: 参数有误
  solution: |-
    **排查建议**：

- code: 26020
  enum: SUBSCRIPTION_NOT_ACTIVATED
  content: 未开启在线状态订阅功能
  solution: |-
    **排查建议**：

- code: 26021
  enum: SUBSCRIBER_OUT_LIMIT
  content: 用户被订阅量达到上限， 详细查看开发文档。
  solution: |-
    **排查建议**：

- code: 26022
  enum: SUBS_OUT_LIMIT
  content: 订阅用户数达到上限， 详细查看开发文档。
  solution: |-
    **排查建议**：


- code: 26106
  enum: ERROR_RESULT_CODE_FILE_EXCEEDS_SIZE_LIMIT
  content: 上传文件超过最大限制
  solution: |-
    **排查建议**：

- code: 26107
  enum: ERROR_RESULT_CODE_FILE_SIZE_IS_REQUIRED
  content: 开启限制未传 size 参数
  solution: |-
    **排查建议**：

- code: 26201
  enum: TOKEN_ERP
  content: 翻译失败，融云鉴权失败 鉴权失败或者 token 过期
  solution: |-
    **排查建议**：

- code: 26202
  enum: TOKEN_ERROR
  content: 翻译失败，翻译功能服务商鉴权失败 融云服务器的原因，token 无效
  solution: |-
    **排查建议**：

- code: 26203
  enum: GOOGLE_SERVCIE_ERROR
  content: 翻译失败，翻译功能服务商返回失败 具体服务商失败码信息
  solution: |-
    **排查建议**：

- code: 26204
  enum: NOT_OPEN_SERVCIE_ERROR
  content: 翻译失败，翻译功能未在融云开启
  solution: |-
    **排查建议**：

- code: 26206
  enum: NOT_SECRET_ERROR
  content: 翻译失败，Server 没有鉴权 token 的 sercret 需要在融云开发者后台开启
  solution: |-
    **排查建议**：

- code: 26208
  enum: GOOGLE_SERVCIE_SPEACH_EMPTY_ERROR
  content: 短语音转录结果为空, 请核对编解码类型
  solution: |-
    **排查建议**：

- code: 26210
  enum: PARAM_ENCODING_ERROR
  content: 编码格式设置错误
  solution: |-
    **排查建议**：

- code: 29102
  enum: DEFFOLLOWED
  content: (MP)公众号默认已关注，针对会话类型：ConversationType_APP_PUBLIC_SERVICE
  solution: |-
    **排查建议**：

- code: 29104
  enum: DEFUNFOLLOWED
  content: 公众号默认已取消关注，针对会话类型：ConversationType_APP_PUBLIC_SERVICE。(错误码已废弃)
  solution: |-
    **排查建议**：

- code: 31001
  enum: N/A
  content: 信令版本错误
  solution: |-
    **排查建议**：

- code: 31002
  enum: N/A
  content: 客户端 info 字段格式错误，正确格式：{平台类型}-{设备信息}-{sdk版本}。 其中设备信息：{手机类型}|{手机型号}|{网络类型，4G/WIFI}|{运营商标识, 移动/电信/联通}
  solution: |-
    **排查建议**：

- code: 31003
  enum: N/A
  content: 连接服务未开通，需要排查后台小程序（或桌面端）服务是否已开通
  solution: |-
    **排查建议**：

- code: 31004
  enum: N/A
  content: Token 无效；AppKey 和 Token 不匹配；Token 过期
  solution: |-
    **排查建议**：

- code: 31005
  enum: N/A
  content: App 校验未通过（开通了 App 校验功能，但是校验未通过）
  solution: |-
    **排查建议**：

- code: 31006
  enum: N/A
  content: 连接重定向
  solution: |-
    **排查建议**：

- code: 31007
  enum: N/A
  content: 包名与后台注册信息不匹配
  solution: |-
    **排查建议**：

- code: 31008
  enum: N/A
  content: AppKey 被封禁或已删除
  solution: |-
    **排查建议**：

- code: 31009
  enum: N/A
  content: 连接失败，用户被封禁（客户端主动连接失败返回）
  solution: |-
    **排查建议**：

- code: 31020
  enum: N/A
  content: Token 已过期
  solution: |-
    **排查建议**：

- code: 31021
  enum: N/A
  content: Token 中携带 deviceId 时，检测 Token 中deviceId 与链接设备 deviceId 不一致
  solution: |-
    **排查建议**：

- code: 31022
  enum: N/A
  content: 页面域名不在安全域名白名单内，需通过开发者后台添加安全域名配置
  solution: |-
    **排查建议**：

- code: 31023
  enum: N/A
  content: 开启禁止把已在线客户端踢下线开关后，该错误码标识已有同类型端在线
  solution: |-
    **排查建议**：

- code: 31024
  enum: N/A
  content: 连接总数量超过服务设定的并发限定值（私有云专属）
  solution: |-
    **排查建议**：

- code: 31025
  enum: N/A
  content: 客户端连错环境，引发连接拒绝；如使用开发环境 Appkey 连接到生产环境
  solution: |-
    **排查建议**：

- code: 31026
  enum: N/A
  content: 开启AppServer联合鉴权功能后，到AppServer认证失败
  solution: |-
    **排查建议**：

- code: 31027
  enum: N/A
  content: 该 token 已经被使用过,无法进行连接 一次性 token 只能连接一次，之后再使用会上报此错误
  solution: |-
    **排查建议**：

- code: 31028
  enum: N/A
  content: Token 平台验证失败
  solution: |-
    **排查建议**：

- code: 31029
  enum: N/A
  content: 用户已销户
  solution: |-
    **排查建议**：

- code: 31030
  enum: N/A
  content: 私有云 License 检查不通过;APP License 过期
  solution: |-
    **排查建议**：